Subject: bug#29059: network-manager-service extension package not fully functional

From: ng0 <[email-masked]>
Date: Tue, 14 Nov 2017 16:31:47 +0000

Ricardo Wurmus transcribed 0.7K bytes:
> Hi ng0,
> 
> So, actually, it’s just this?
> 
>   (service network-manager-service-type
>            (network-manager-configuration
>             (vpn-plugins (list network-manager-openvpn))))
> 
> 
> And the error message is this?
> 
> > Nov 14 12:16:35 localhost NetworkManager[421]: <info>  [1510661795.5451] audit: op="connection-activate" uuid="…" name="VPN HS-BO" pid=639 uid=1000 result="fail" reason="The VPN service 'org.freedesktop.NetworkManager.openvpn' was not installed."
> 
> Please always provide a clear and minimal test case.  Otherwise we have
> no chance of reproducing the problem.
> 
> --
> Ricardo
> 
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net

More or less.
To be more precise:

Before I packaged the vpnc plugin, I just had the openvpn plugin
with a config and error message as you described.

With vpnc it's the same, I filed this bug with the assumption that
both errors are related. nothing provides
org.freedesktop.NetworkManager.openvpn or org.freedesktop.NetworkManager.vpnc
The files that should provide them are missing, I've double checked this.

The subject line for the bug could've been better.

I have this really unnecessary and sadly
mandatory presence lecture tomorrow, I'll prepare the vpnc package
and send it then, so that you can apply what I work with.

Of course you need an VPNC test case, I only need this because
of the eduroam here in Bochum.
-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dl.n0.is/dist/keys/
  WWW: https://we.make.ritual.n0.is